---
icon: material/store
description: Commands that can be used on any of our servers.
---

# Sign Shops
In the recent server update, we've added a new plugin to the server that enables anyone to create "Sign Shops" to buy and sell almost any item in the game.

These signs function a bit like in-game vending machines and are way more theft and greif-proof than an "honor system" chest shop. Anyone can create shops to buy and sell any item in the game, provided they have the goods. You can use this to sell your surplus items or other items you enjoy farming. You can also setup a shop sign like a bounty board, asking for a particular rare item you're looking for.

## Cashing In and Out
We wanted our currency to be pinned to the diamond. 100◈ is equivalent to 1 in-game diamond. You will be given a starting balance of 1200◈ (12 diamond equivalent).

Server administrators will create ATM signs in highly populated areas that will let you exchange between balance and item diamonds. If you'd like admins to add ATM signs anywhere, please send them a DM or submit a ticket on the server.

![Example of an in-game ATM, mocked up on the creative server.](./assets/images/sign-shop-tutorial/atm-example.png)

## Checking your Balance
You can use the `/bal` command to check your balance at any time. Your balance cannot go into the negatives.

## Creating Shop Signs
The General syntax of a shop sign is as follows:

``` 
[Trade]
Price
Product:Starting_Inventory
(Fourth line left blank)
```

Important notes to be aware of:

- For currency, simply use a number. Currency symbol is automatically populated
- For items use a count and an item name in this format: `# item_name`.
    - To find a usable name that will fit on a sign, hold the item in your hand and run the `/itemdb` command.
- The fourth line is intentionally left completly blank, and will be populated automatically by your username if sign is formatted correctly
- The `Starting_Inventory` is the amount the sign will have in it to start off, you can always add more later. However, the starting inventory you set will be automatically deducted from either your inventory or your balance the moment the sign is created! If you do not have that onhand the shop creation will fail!
- Shops work on the creative server (with an independent balance of course). You're welcome to use that server to test your sign syntax in a safe environment.

If your syntax is wrong or you do not have your starting inventory/budget onhand: the sign shop will fail to create and the `[Trade]` tag will turn red. You can then right click to edit the sign and try again. If you need help, please consult this documentation page or reach out to an administrator.

---
### Examples

#### Selling Example
Sell 10 cobblestone to another player for 1 dollar, with a starting inventory of 100 cobblestone.
```
[Trade]
1
10 cobble:100
```
(Leave fourth line blank.)

![Example of a correctly formated sell sign in the in-game sign editor](./assets/images/sign-shop-tutorial/sell-sign-edit-example.png)![Example of a working sell sign.](./assets/images/sign-shop-tutorial/sell-sign-working-example.png)

#### Buying Example
Buy 10 cobblestone from another player for 1 dollar, with a prepaid budget of 10 dollars.
```
[Trade]
10 cobble
1:10
```
(Leave fourth line blank.)

![Example of a correctly formated buy sign in the in-game sign editor](./assets/images/sign-shop-tutorial/buy-sign-edit-example.png)![Example of a working buy sign.](./assets/images/sign-shop-tutorial/buy-sign-working-example.png)

Interestingly, the syntax for buying an item from another player is equivalent to "selling them money for the item"; where the price slot is the item and the product slot is money.

---
## Notes
*The exact plugin we are using is called 'Essentials', if you'd like to read the original documentation you may do so [here](http://ess.khhq.net/wiki/Sign_Tutorial), note that only the "Trade" sign is available to players and is used for all player-created shops. The "Buy" and "Sell" signs are admin-only signs for buying and selling goods directly from the server itself.*